/**
 * Sorter
 * 
 * Copyright (c) 2005 Eugene Matyushkin (E-mail: skipy@mail.ru)
 *
 * License agreement:
 *
 * 1. This code is published AS IS. Author is not responsible for any damage that can be
 *    caused by any application that uses this code.
 * 2. Author does not give a garantee, that this code is error free.
 * 3. This code can be used in NON-COMMERCIAL applications AS IS without any special
 *    permission from author.
 * 4. This code can be modified without any special permission from author IF AND ONLY IF
 *    this license agreement will remain unchanged.
 * 5. SPECIAL PERMISSION for this code usage in COMMERCIAL application SHOULD be obtained
 *    from author.
 */
package ru.skipy.ui.test.sft.sorters;

import ru.skipy.ui.components.sft.ColumnSortPrefs;

/**
 * Sorter
 *
 * This class is a wrapper for {@link ColumnSortPrefs} set along with some
 * humanreadable name for identification.
 *
 * @author Eugene Matyushkin
 * @version 1.0
 */
public class Sorter {

    /**
     * Sort preferences
     */
    private ColumnSortPrefs[] prefs;

    /**
     * Preferences set's name
     */
    private String name;


    /**
     * Constructs sorter
     *
     * @param prefs sort preferences
     * @param name  sort preferences set's name
     */
    public Sorter(ColumnSortPrefs[] prefs, String name) {
        this.prefs = prefs;
        this.name = name;
    }


    /**
     * Returns sort preferences
     *
     * @return sort preferences
     */
    public ColumnSortPrefs[] getPrefs() {
        return prefs;
    }


    /**
     * Returns sort preferentces set's name
     *
     * @return sort preferentces set's name
     */
    public String getName() {
        return name;
    }


    /**
     * Returns string representation of sorter (the same as name)
     *
     * @return string representation of sorter
     */
    public String toString() {
        return getName();
    }

}
